Subject: Re: jsonpath syntax extensions

From: Alexander Iansiti <[email-masked]>
Date: Mon, 13 Feb 2023 18:18:26 +0000

These syntax extensions would make the jsonpath syntax a super powerful query language capable of most nosql workloads people would have. Especially querying jsonpath with a variable key to look for is a sorely missed feature from the language. I would be open to reviewing the patches if need be, but if community support is all that's needed I believe a lot of users who could use this feature aren't using it because of the lack of documentation on all of postgres' amazing jsonpath features. The best doc I've found on all the functionality is https://github.com/obartunov/sqljsondoc/blob/master/jsonpath.md 

Let me know how i can help!
Alex

The new status of this patch is: Needs review